Bug 1992591 - 2 different oc binaries are used in the `cli-artifacts` image
Summary: 2 different oc binaries are used in the `cli-artifacts` image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-11 11:38 UTC by Christophe Fergeau
Modified: 2021-10-18 17:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 904 0 None None None 2021-08-19 12:17:38 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:46:09 UTC

Description Christophe Fergeau 2021-08-11 11:38:01 UTC
With 4.8.2, de6777b8b76d is the `cli-artifacts` image. The oc binary at /usr/bin/oc and /usr/share/openshift/linux_amd64/oc return 2 different sha256sum. 

[core@crc-txps5-master-0 ~]$ sudo podman run -it --rm --entrypoint=sha256sum   de6777b8b76d  /usr/bin/oc
2bbac7859bb186c092143d91ab85a7ee74a98c5446b01bcab0b629005be3cf1a  /usr/bin/oc
[core@crc-txps5-master-0 ~]$ sudo podman run -it --rm --entrypoint=sha256sum   de6777b8b76d  /usr/share/openshift/linux_amd64/oc
7617037a6be8809c40a8b4e87cc63fc832123854ef3c1972e14c24bc5234422f  /usr/share/openshift/linux_amd64/oc

None of these binaries match the one released at http://mirror.openshift.com/pub/openshift-v4/clients/ocp/4.8.2/

$ sha256sum oc 
4d95b720488b6e6bde8e73bf3d8aa621661353ad0489b2843807fc78c56569ee  oc

It would be nice to have a single "source of truth" for this binary

Comment 36 zhou ying 2021-09-16 03:06:29 UTC
Confirmed , can't reproduce the issue now: 

[root@localhost ~]# oc adm release info  registry.ci.openshift.org/ocp/release:4.9.0-0.nightly-2021-09-15-125245  --pullspecs |grep cli
  cli                                            quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4b819490f66e1cfe523a62f67eb3020afd758a03462f1cf7482e46a90d80033e
  cli-artifacts                                  quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:cb20322b5b51925470ed436e247d844a6e3505a864038e6c909c023d0511af4b


[root@localhost ~]#  podman pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:cb20322b5b51925470ed436e247d844a6e3505a864038e6c909c023d0511af4b
Trying to pull quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:cb20322b5b51925470ed436e247d844a6e3505a864038e6c909c023d0511af4b...


[root@localhost ~]#  podman  run -it --rm --entrypoint=sha256sum  a5efac45ec4c /usr/share/openshift/linux_amd64/oc
4adcff5b39348e632c75c3823ee5ca77473258fad1d78ba4816bc40b74c72b3f  /usr/share/openshift/linux_amd64/oc
[root@localhost ~]#  podman  run -it --rm --entrypoint=sha256sum  a5efac45ec4c /usr/bin/oc 
4adcff5b39348e632c75c3823ee5ca77473258fad1d78ba4816bc40b74c72b3f  /usr/bin/oc

Comment 39 errata-xmlrpc 2021-10-18 17:45:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.